
From: Roland Dreier <rolandd@cisco.com>

Hook up InfiniBand userspace verbs to Kconfig and the make system.

Signed-off-by: Roland Dreier <rolandd@cisco.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/infiniband/Kconfig       |   10 ++++++++++
 drivers/infiniband/core/Makefile |    5 ++++-
 2 files changed, 14 insertions(+), 1 deletion(-)

diff -puN drivers/infiniband/core/Makefile~ib-uverbs-hook-up-kconfig-makefile drivers/infiniband/core/Makefile
--- 25/drivers/infiniband/core/Makefile~ib-uverbs-hook-up-kconfig-makefile	Tue Jun 28 16:51:36 2005
+++ 25-akpm/drivers/infiniband/core/Makefile	Tue Jun 28 16:51:36 2005
@@ -1,6 +1,7 @@
 EXTRA_CFLAGS += -Idrivers/infiniband/include
 
-obj-$(CONFIG_INFINIBAND) +=	ib_core.o ib_mad.o ib_sa.o ib_umad.o
+obj-$(CONFIG_INFINIBAND) +=		ib_core.o ib_mad.o ib_sa.o ib_umad.o
+obj-$(CONFIG_INFINIBAND_USER_VERBS) +=	ib_uverbs.o
 
 ib_core-y :=			packer.o ud_header.o verbs.o sysfs.o \
 				device.o fmr_pool.o cache.o
@@ -10,3 +11,5 @@ ib_mad-y :=			mad.o smi.o agent.o
 ib_sa-y :=			sa_query.o
 
 ib_umad-y :=			user_mad.o
+
+ib_uverbs-y :=			uverbs_main.o uverbs_cmd.o uverbs_mem.o
diff -puN drivers/infiniband/Kconfig~ib-uverbs-hook-up-kconfig-makefile drivers/infiniband/Kconfig
--- 25/drivers/infiniband/Kconfig~ib-uverbs-hook-up-kconfig-makefile	Tue Jun 28 16:51:36 2005
+++ 25-akpm/drivers/infiniband/Kconfig	Tue Jun 28 16:51:36 2005
@@ -7,6 +7,16 @@ config INFINIBAND
 	  any protocols you wish to use as well as drivers for your
 	  InfiniBand hardware.
 
+config INFINIBAND_USER_VERBS
+	tristate "InfiniBand userspace verbs support"
+	depends on INFINIBAND
+	---help---
+	  Userspace InfiniBand verbs support.  This is the kernel side
+	  of userspace verbs, which allows userspace processes to
+	  directly access InfiniBand hardware for fast-path
+	  operations.  You will also need libibverbs and a hardware
+	  driver library from <http://www.openib.org>.
+
 source "drivers/infiniband/hw/mthca/Kconfig"
 
 source "drivers/infiniband/ulp/ipoib/Kconfig"
_
